/*
 * QUOTA    An implementation of the diskquota system for the LINUX
 *          operating system. QUOTA is implemented using the BSD systemcall
 *          interface as the means of communication with the user level.
 *          Should work for all filesystems because of integration into the
 *          VFS layer of the operating system.
 *          This is based on the Melbourne quota system wich uses both user and
 *          group quota files.
 *
 *          System call interface.
 *
 * Version: $Id: quotactl.c,v 2.0 1993/08/23 19:50:37 mvw Exp mvw $
 *
 * Authors: Marco van Wieringen <v892273@si.hhs.nl> <mvw@hacktic.nl>
 *          Edvard Tuinder <v892231@si.hhs.nl> <etuinder@hacktic.nl>
 *
 *          This program is free software; you can redistribute it and/or
 *          modify it under the terms of the GNU General Public License
 *          as published by the Free Software Foundation; either version
 *          2 of the License, or (at your option) any later version.
 */
#include <sys/types.h>
#include <linux/unistd.h>
#include <linux/quota.h>

_syscall4(int, quotactl, int, cmd, const char *, special, int, id, caddr_t *, addr);

